﻿/*
RAWR - Preview Box

 (c) 2007-2008, RAWR Designs, Some Rights Reserved -
	Christopher "That Stevens Guy" Stevens
	Richard "Giant Eagle" Tuininga
 (CC) http://creativecommons.org/licenses/by-nc-sa/3.0/

 Any queries? -
	Email: contact[at]rawr-designs.com
	Forum: http://www.rejetto.com/forum/index.php?board=34.0
 	Homepage: http://rawr-designs.com/
	
	If you have a widescreen FLV folder, place <script type="text/javascript">var aspect="wide"</script> in the comment.
*/
var disable	= false;
var boxOpen	= null;
var ext;

/* 브라우져 버젼찾기 */
var sUserAgent = navigator.userAgent;
var isIE = sUserAgent.indexOf("compatible") > -1 && sUserAgent.indexOf("MSIE") > -1;
var isFF = !isIE && (sUserAgent.indexOf("Mozilla") == 0) && (navigator.appName == "Netscape");


/* Initialise preview box. */
function initPreviewBox(target,file) {
	ext = file.substring(file.lastIndexOf("."),file.length);
	ext = ext.toLowerCase();
  if (disable == false) {
    disable = true;
    setTimeout("disable=false;", 350);
    if(target != boxOpen) {
      if(boxOpen!=null) boxFade(boxOpen,"out");
			if(ext.match(".jpg|.jpeg|.png|.bmp|.tif|.tiff")) spawnIMGBox(target,file);
			else if(ext.match(".flv|.mp3|.mp4|.wmv")) spawnRAWRBox(target,file);
			else if(ext==".swf") spawnSWFBox(target,file);
			else if(ext=="search") spawnSEARCHBox(target,file);
		} else {
			boxFade(boxOpen,"out");
		}
  }
}
/* Spawn 'Loading' box. */
function spawnBox(target,width,height) {
  var pos,preBoxCenter;
	gEBI(target).innerHTML = "<div class=Box style='width:"+(width+10)+"px;filter:alpha(opacity=0);opacity:0;z-index:75;position:absolute;border:0' id="+target+"Box><div class=pBx style='width:"+(width-4)+"px;cursor:move;padding:0 4px 0 8px;letter-spacing:0;border-bottom:0;height:30px;line-height:30px;text-align:left'><a href='javascript:void(0)' onclick='boxFade(\""+target+"\",\"out\")' style='float:right'>X</a><span id="+target+"Name>"+lv_loading+"</span></div><div class=pBx1 style='width:"+width+"px;height:"+height+"px;padding:4px' id="+target+"Content></div></div>";
	Box = gEBI(target+"Box");
  Box.style.left = (document.documentElement.clientWidth-width)/2+document.documentElement.scrollLeft+"px";
  Box.style.top = (document.documentElement.clientHeight-height)/2+document.documentElement.scrollTop+"px";
	boxFade(target,"in");
	document.onmousedown = startDrag;
}
/* Spawn Search box. */
function spawnSEARCHBox(target,file) {
	spawnBox(target,300,62);
	setTimeout("setSEARCHBox(\""+target+"\",\""+file+"\");",300);
}
function setSEARCHBox(target,file) {
	gEBI(target+"Box").firstChild.style.cursor="default";
	document.onmousedown = null;
	setName(lv_advSearch);
	gEBI(target+"Content").innerHTML = "<form name=searchForm method=get action=\"javascript:searchQuery()\" style=\"margin:0;font-size:11px\"><input type=text name=query size=29 maxlength=32 value=\""+document.simpleSearch.search.value+"\" onclick=\"if(this.value=='"+document.simpleSearch.search.value+"')this.value=''\" class=\"formInput\"/> <input type=submit name=searchBtn value="+lv_search+" /><br><input type=radio name=choice value=\"file\"/> "+lv_files+"<input type=radio name=choice value=\"folder\"/> "+lv_folders+"<input type=radio name=choice value=\"both\" checked=1/> "+lv_both+"<input type=checkbox name=recursive checked=1/> "+lv_recursive+"<br><input type=radio name=root value=\"root\" checked=1/> "+lv_root+"<input type=radio name=root value=\"current\"/> "+lv_current+"</form>";
	gEBI(target+"Content").style.background="transparent";
	document.onmousedown = startDrag;
}
/* Spawn Image box. */
function spawnIMGBox(target,file) {
	img = new Image();
	img.src = file;
	if(img.complete) {
    if(img.width > imgWidth){
      imgHeight = imgWidth/(img.width/img.height);
      spawnBox(target,imgWidth,imgHeight);
    }else spawnBox(target,img.width,img.height);
		setIMGBox(target,file,"setImage");
	} else {
		setTimeout("setIMGBox(\""+target+"\",\""+file+"\",\"none\");",10);
	}
}
function setIMGBox(target,file,status) {
	if(img.width!=0) {
    var tempWidth,tempHeight;
    if(img.width > imgWidth){
      tempHeight = imgWidth/(img.width/img.height);
      tempWidth = imgWidth;
    }else{
      tempHeight = img.height;
      tempWidth = img.width;
    }
		if(status == "none") {
      spawnBox(target,tempWidth,tempHeight);
			status = "boxLoaded";
		}
    if(status == "boxLoaded") {
			setTimeout("setIMGBox(\""+target+"\",\""+file+"\",\"setImage\");",325);
		}else if(status == "setImage") {
			if(img.complete) {
				gEBI(target+"Content").innerHTML = "<img src=\""+img.src+"\" id="+target+"ImageBox style='width:"+tempWidth+"px;height:"+tempHeight+"px;filter:alpha(opacity=0);opacity:0'/>";
				boxFade(target,"img");
				setName(file);
				img = null;
			}else  setTimeout("setIMGBox(\""+target+"\",\""+file+"\",\"setImage\");",200);
		}
	}else setTimeout("setIMGBox(\""+target+"\",\""+file+"\",\"none\");",50);
}
/* Spawn RAWR box. */
var height, width, aspect;
var playmethod = "single";
var context	= "on";
function spawnRAWRBox(target,file) {
  if(JWPlayer && (ext==".flv"||ext==".mp4"||ext==".wmv")){
    width = movWidth;
    height = movHeight;
    if(ext==".wmv"){
      spawnBox(target,width,height);
      setTimeout("setWMVBox(\""+target+"\",\""+file+"\");",100);
    }
  }
  else if(JWPlayer && ext==".mp3"){
    width=mp3Width;
    height=mp3Height;
  }else{
    height = ext==".flv"?400:50;
    width = 400;
  }
  if(ext!=".wmv"){
    spawnBox(target,width,height);
    setTimeout("setRAWRBox(\""+target+"\",\""+file+"\");",100);
  }
}
function setRAWRBox(target,file) {
	setName(file);
	file = file.replace('+','%2B').replace('&','%26');
	if(JWPlayer) {
    height += 20;
    var file_srt,file_img;
    var jw_plugins = "";
    var n = file.length-4;
    file_srt = file.substring(0,n)+".srt";
    if(caption){
      jw_plugins += "&captions="+file_srt+"&accessibility.fontsize="+captionSize;
      jw_plugins += "&plugins=accessibility";
    }
    if(ext==".mp3"){
      if(mp3Image){
        file_img = file.substring(0,n)+".jpg";
        connect("/~filecheck?fileName="+file_img);
        if(mp3ImgSize != 0){
          jw_plugins += "&image="+file_img;
        }
      }
      if(!mp3Image || mp3ImgSize == 0){
        if(caption) jw_plugins += ",revolt";
        else jw_plugins += "&plugins=revolt"
        height = mp3noImageHeight;
        gEBI(target+"Content").style.height = height+"px";
      }
      mp3ImgSize = 0;
    }
    gEBI(target+"Content").innerHTML = "<embed allowscriptaccess=always src='/template/rawr_default/players/player-viral.swf' allowfullscreen='true' width="+width+" height="+height+" type='application/x-shockwave-flash' flashvars=\"file="+file+"&volume="+volume+"&autostart=true&displayclick=fullscreen&bufferlength=5"+jw_plugins+"\"/>";
  }
	else gEBI(target+"Content").innerHTML = "<embed allowscriptaccess=always src='/template/rawr_default/players/rawr_player.swf' width="+width+" height="+height+" type='application/x-shockwave-flash' flashvars=\"colorset="+theme+"&volume="+volume+"&playmethod="+playmethod+"&autostart=true&context="+context+"&file="+file+"\"/>";
	autoplay = false;
}
/* WMV 미리보기 */
function setWMVBox(target,file){
  setName(file);
	file = file.replace('+','%2B').replace('&','%26');
	var file_smi = file.substring(0,file.length-4)+".smi";
	var volume_wmv = 0;
  if(isFF){
    file = encodeURI(file);
    volume_wmv = 100-volume;
    gEBI(target+"Content").innerHTML = "<object type='application/x-mplayer2' data='"+file+"' width="+width+" height="+height+"><param name='src' value='"+file+"'' /><param name='volume' value="+volume_wmv+" /></object>";
  }
  else{
    gEBI(target+"Content").innerHTML = "<embed type='application/x-mplayer2' Filename='"+file+"' width="+width+" height="+height+" volume="+volume_wmv+" ShowControls='false' />";
  }
}
/* Spawn SWF box. */
function spawnSWFBox(target,file) {
	spawnBox(target,413,300);
	setTimeout("setSWFBox(\""+target+"\",\""+file+"\");",300);
}
function setSWFBox(target,file) {
	setName(file);
	gEBI(target+"Content").innerHTML = "<embed width=413 height=300 type='application/x-shockwave-flash' src=\""+file+"\"/>";
}
/* Crop file name if necessary. */
function setName(file) {
	name = decodeURI(file.substring(file.lastIndexOf("/")+1,file.lastIndexOf(".")));
	gEBI(boxOpen+"Name","inn",name+ext);
	while (gEBI(boxOpen+"Box").offsetWidth-50 < gEBI(boxOpen+"Name").offsetWidth ||gEBI(boxOpen+"Name").offsetHeight >31) {
		name = name.substring(0,name.length-4)+".. ";
		gEBI(boxOpen+"Name","inn",name+ext);
	}
}
/* Fade function. */
var method;
function boxFade(target,method,alpha){
	method=="img"?id=gEBI(target+"ImageBox"):id=gEBI(target+"Box");
	if(!alpha) {
		if(method=="in"||method=="img") {
			if(method=="in") boxOpen=target;
			for(q=24;q>0;q--) setTimeout("boxFade(\""+target+"\",\""+method+"\",\""+q*4+"\");",q*12);
			setTimeout("gEBI(\""+id.id+"\").style.opacity=0.99;",300);
			setTimeout("gEBI(\""+id.id+"\").style.filter='alpha(opacity=100)';",300);
		} else if(method=="out") {
			if(gEBI(target+"Content").innerHTML.substr(1,3)!="img") gEBI(target+"Content").innerHTML="";
			id.name="fadingOut";
			if(boxOpen==target) boxOpen=null;
			for(p=24;p>0;p--) setTimeout("boxFade(\""+target+"\",\"out\","+(100+p*-4)+");",p*12);
			setTimeout("gEBI(\""+target+"\").innerHTML='';",300);
		}
	} else {
		if((method=="in"||method=="img")&&id.name!="fadingOut"||method=="out") {
			id.style.filter="alpha(opacity="+alpha+")";
			id.style.opacity=alpha/100;
		}
	}
}
/* Drag. */
var sObj = null;
var drgOK = false;
var dX=dY=sX=sY	= 0;
function startDrag(e) {
	if(e==null)e=window.event;
	var t=e.target!=null?e.target:e.srcElement;
	try {
		if(t.parentNode.className=="Box"||t.parentNode.parentNode.className=="Box"||t.parentNode.parentNode.parentNode.className=="Box") {
			sObj = t.parentNode.parentNode.parentNode.className=="Box"?t.parentNode.parentNode.parentNode:t.parentNode.parentNode.className=="Box"?t.parentNode.parentNode:t.parentNode;
			drgOK = true;
			dX = e.clientX-parseInt(sObj.style.left);
			dY = e.clientY-parseInt(sObj.style.top);
			sX = document.documentElement.scrollLeft;
			sY = document.documentElement.scrollTop;
			gEBI(boxOpen).style.cursor = 'move';
			document.onmousemove = drag;
			document.onmouseup = endDrag;
			return false;
		}
	} catch(e) {}
}
function drag(e) {
	if(e==null)e=window.event;
	if(e.button <= 1 && drgOK) {
		sObj.style.left = e.clientX-dX+(document.documentElement.scrollLeft-sX)+'px';
		sObj.style.top = e.clientY-dY+(document.documentElement.scrollTop-sY)+'px';
		return false;
	}
}
function endDrag(e) {
	gEBI(boxOpen).style.cursor = "default";
	document.onmousemove = document.onmouseup = null;
	drgOK = false;
}
/* Change media file. */
function changeMedia(method) {
	if(method=="shuffle") {
		nr =Math.round(Math.random()*playList.length-1);
		while(boxOpen==playList[nr].boxid) nr =Math.round(Math.random()*playList.length-1);
		initPreviewBox(playList[nr].boxid,playList[nr].name);
		return false;
	}
	for(i=0;i<playList.length;i++) {
		if(boxOpen == playList[i].boxid) {
			nr = method=="next"?playList[i+1]?i+1:0:i-1>=0?i-1:playList.length-1;
			initPreviewBox(playList[nr].boxid,playList[nr].name);
			return false;
		}
	}
}
/* RAWR-Player flash interface. */
function playerVolume(volume) {
	setCookie('Volume',volume,exp);
}
function playbackMethod(playmethod) {
	setCookie('Method',playmethod,exp);
}